Loading...
Searching...
No Matches
LrPackageTarget Struct Reference
Package downloading

`#include <package_downloader.h>`

## Data Fields

LrHandle * | handle
char * | relative_url
char * | dest
char * | base_url
LrChecksumType | checksum_type
char * | checksum
gint64 | expectedsize
gboolean | resume
LrProgressCb | progresscb
void * | cbdata
LrEndCb | endcb
LrMirrorFailureCb | mirrorfailurecb
gint64 | byterangestart
gint64 | byterangeend
char * | local_path
char * | err
GStringChunk * | chunk

## Detailed Description

LrPackageTarget structure

Definition at line 78 of file package_downloader.h.

## Field Documentation

## base_url

char* base_url

Base URL for this target

Definition at line 89 of file package_downloader.h.

## byterangeend

gint64 byterangeend

Download only specified range of bytes.

Definition at line 120 of file package_downloader.h.

## byterangestart

gint64 byterangestart

Download only specified range of bytes.

Definition at line 117 of file package_downloader.h.

## cbdata

void* cbdata

Callback data

Definition at line 107 of file package_downloader.h.

## checksum

char* checksum

Expected checksum value

Definition at line 95 of file package_downloader.h.

## checksum_type

LrChecksumType checksum_type

Checksum type

Definition at line 92 of file package_downloader.h.

## chunk

GStringChunk* chunk

String chunk

Definition at line 131 of file package_downloader.h.

## dest

char* dest

Destination: filename, dirname or NULL

Definition at line 86 of file package_downloader.h.

## endcb

LrEndCb endcb

Callback called when target transfer is done. (Use status to check if successfully or unsuccessfully)

Definition at line 110 of file package_downloader.h.

## err

char* err

Error message or NULL. NULL means no error.

Definition at line 128 of file package_downloader.h.

## expectedsize

gint64 expectedsize

Expected size of the target

Definition at line 98 of file package_downloader.h.

## handle

LrHandle* handle

Related handle

Definition at line 80 of file package_downloader.h.

## local_path

char* local_path

Local path

Definition at line 125 of file package_downloader.h.

## mirrorfailurecb

LrMirrorFailureCb mirrorfailurecb

Called when download from a mirror failed.

Definition at line 114 of file package_downloader.h.

## progresscb

LrProgressCb progresscb

Progress callback

Definition at line 104 of file package_downloader.h.

## relative_url

char* relative_url

Relative part of URL

Definition at line 83 of file package_downloader.h.

## resume

gboolean resume

Indicate if resume is enabled

Definition at line 101 of file package_downloader.h.

The documentation for this struct was generated from the following file:

- package_downloader.h